package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF793Data {

    private Map<String, Object> params;
    
    public MWF793Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsZadostsubtyp() {
        return (String) params.get("RS_ZADOSTSUBTYP");
    }

    public java.util.Date rsDatumzadosti() {
        return (java.util.Date) params.get("RS_DATUMZADOSTI");
    }

    public String rsIco() {
        return (String) params.get("RS_ICO");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String rsKodakce() {
        return (String) params.get("RS_KODAKCE");
    }

    public String rsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public Double rsVyseuverupozadovana() {
        return (Double) params.get("RS_VYSEUVERUPOZADOVANA");
    }

    public Double rsVyseuveruschvalena() {
        return (Double) params.get("RS_VYSEUVERUSCHVALENA");
    }

    public String rsKodproduktpozadovany() {
        return (String) params.get("RS_KODPRODUKTPOZADOVANY");
    }

    public String rsKodproduktschvaleny() {
        return (String) params.get("RS_KODPRODUKTSCHVALENY");
    }

    public String rsRodnecislo() {
        return (String) params.get("RS_RODNECISLO");
    }

    public Long rsMtsStav() {
        return (Long) params.get("RS_MTS_STAV");
    }

    public String rsDuvodrozhodnuti() {
        return (String) params.get("RS_DUVODROZHODNUTI");
    }

    public String rsPrescoring() {
        return (String) params.get("RS_PRESCORING");
    }

    public String rsAppStateAdc() {
        return (String) params.get("RS_APP_STATE_ADC");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public String rsApplicationType() {
        return (String) params.get("RS_APPLICATION_TYPE");
    }

    public String rsExpresmanFlag() {
        return (String) params.get("RS_EXPRESMAN_FLAG");
    }

    public String rsPos() {
        return (String) params.get("RS_POS");
    }

    public String rsInstPtKey() {
        return (String) params.get("RS_INST_PT_KEY");
    }

    public String rsChannel() {
        return (String) params.get("RS_CHANNEL");
    }

    public Long rsAppKey() {
        return (Long) params.get("RS_APP_KEY");
    }

    public String rsStavtxt() {
        return (String) params.get("RS_STAVTXT");
    }

    public Double rsSplatkaSch() {
        return (Double) params.get("RS_SPLATKA_SCH");
    }

    public Double rsSplatkaPozad() {
        return (Double) params.get("RS_SPLATKA_POZAD");
    }

    public Double rsSplatka() {
        return (Double) params.get("RS_SPLATKA");
    }

    public Long rsApplSetKey() {
        return (Long) params.get("RS_APPL_SET_KEY");
    }

    public String rsRelationshiptypeId() {
        return (String) params.get("RS_RELATIONSHIPTYPE_ID");
    }

    public String rsAp() {
        return (String) params.get("RS_AP");
    } 

}
